# KeyObject

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Name** | **string** | Name of the security object. | [default to null]
**Description** | **string** | Description of the security object. | [optional] [default to null]
**KeySize** | **int32** | For objects which are not elliptic curves, this is the size in bits (not bytes) of the object. This field is not returned for elliptic curves.  | [optional] [default to null]
**EllipticCurve** | [***EllipticCurve**](EllipticCurve.md) |  | [optional] [default to null]
**AcctId** | **string** | Account ID of the account this security object belongs to. | [default to null]
**GroupId** | **string** | Group ID of the security group that this security object belongs to. | [optional] [default to null]
**Creator** | [***CreatorType**](CreatorType.md) |  | [default to null]
**Kid** | **string** | Key ID uniquely identifying this security object. | [optional] [default to null]
**ObjType** | [***ObjectType**](ObjectType.md) |  | [default to null]
**KeyOps** | [**[]KeyOperations**](KeyOperations.md) | Array of key operations enabled for this security object.  | [optional] [default to null]
**CustomMetadata** | **map[string]string** | User-defined metadata for this key. Stored as key-value pairs. | [optional] [default to null]
**Origin** | [***ObjectOrigin**](ObjectOrigin.md) |  | [default to null]
**PubKey** | **string** | This field is returned only for asymmetric keys. It contains the public key. | [optional] [default to null]
**Value** | **string** | This field is returned only for opaque and secret objects. It contains the contents of the object. | [optional] [default to null]
**Enabled** | **bool** | Whether this security object has cryptographic operations enabled. | [default to null]
**CreatedAt** | **string** | When this security object was created. | [default to null]
**LastusedAt** | **string** | When this security object was last used. | [default to null]
**TransientKey** | **string** | Transient key blob. | [optional] [default to null]
**NeverExportable** | **bool** | True if this key&#39;s operations have never contained EXPORT. | [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


