# SobjectRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Name** | **string** | Name of the security object to create or import. Security object names must be unique within an account. | [default to null]
**Description** | **string** | Description of the security object to create or import. | [optional] [default to null]
**KeySize** | **int32** | Size in bits (not bytes) of the security object to create or import. Required for symmetric keys. Deprecated for RSA keys, specify it in &#x60;RsaOptions&#x60; instead. | [optional] [default to null]
**PubExponent** | **int32** | For RSA keys only. Deprecated. Specify in &#x60;RsaOptions&#x60; instead. Public exponent to use when generating an RSA key. | [optional] [default to null]
**EllipticCurve** | [***EllipticCurve**](EllipticCurve.md) |  | [optional] [default to null]
**Rsa** | [***RsaOptions**](RsaOptions.md) |  | [optional] [default to null]
**Fpe** | [***FpeOptions**](FpeOptions.md) |  | [optional] [default to null]
**GroupId** | **string** | Group ID (not name) of the security group that this security object should belong to. The user or application creating this security object must be a member of this group. If no group is specified, the default group for the user or application will be used.  | [optional] [default to null]
**ObjType** | [***ObjectType**](ObjectType.md) |  | [default to null]
**KeyOps** | [**[]KeyOperations**](KeyOperations.md) | Optional array of key operations to be enabled for this security object. If this property is not provided, the SDKMS server will provide a default set of key operations. Note that if you provide an empty array, all key operations will be disabled.  | [optional] [default to null]
**CustomMetadata** | **map[string]string** | User-defined metadata for this key. Stored as key-value pairs. | [optional] [default to null]
**Value** | **string** | When importing a security object, this field contains the binary contents to import. When creating a security object, this field is unused. The value of an OPAQUE or CERTIFICATE object is always returned. For other objects, the value is returned only with &#x60;/crypto/v1/keys/export&#x60; API (if the object is exportable).  | [optional] [default to null]
**Enabled** | **bool** | Whether the new security object should be enabled. Disabled security objects may not perform cryptographic operations.  | [optional] [default to null]
**Transient** | **bool** | If this is true, SDKMS will create a transient key. | [optional] [default to null]
**DeterministicSignatures** | **bool** |  | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


