# \TwoFactorAuthenticationApi

All URIs are relative to *https://apps.smartkey.io*

Method | HTTP request | Description
------------- | ------------- | -------------
[**AuthorizeRecoveryCode**](TwoFactorAuthenticationApi.md#AuthorizeRecoveryCode) | **Post** /sys/v1/session/auth/2fa/recovery_code | Use a backup recovery code to complete authentication
[**AuthorizeU2F**](TwoFactorAuthenticationApi.md#AuthorizeU2F) | **Post** /sys/v1/session/auth/2fa/u2f | Use a U2F key to complete authentication
[**GenerateRecoveryCodes**](TwoFactorAuthenticationApi.md#GenerateRecoveryCodes) | **Post** /sys/v1/users/generate_recovery_code | Generate backup recovery codes for the current user
[**GenerateU2FChallenge**](TwoFactorAuthenticationApi.md#GenerateU2FChallenge) | **Post** /sys/v1/session/config_2fa/new_challenge | Generate a new challenge for registering a U2F devices
[**Lock2F**](TwoFactorAuthenticationApi.md#Lock2F) | **Post** /sys/v1/session/config_2fa/terminate | Lock two factor configuration


# **AuthorizeRecoveryCode**
> AuthorizeRecoveryCode(ctx, )
Use a backup recovery code to complete authentication

Complete two factor authentication with a backup recovery code. The caller needs to provide a bearer token for the session in the request body. Each recovery code may only be used once, so users should update their two factor configuration after using this API. 

### Required Parameters
This endpoint does not need any parameter.

### Return type

 (empty response body)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **AuthorizeU2F**
> AuthorizeU2F(ctx, )
Use a U2F key to complete authentication

Complete two factor authentication with a U2F authentication token to authenticate to SDKMS. The response body contains a bearer authentication token which needs to be provided by subsequent calls for the duration of the session. 

### Required Parameters
This endpoint does not need any parameter.

### Return type

 (empty response body)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GenerateRecoveryCodes**
> RecoveryCodes GenerateRecoveryCodes(ctx, )
Generate backup recovery codes for the current user

Generate backup recovery codes that may be used to complete complete two factor authentication. The caller needs to provide a bearer token for the session in the request body. Two factor configuration must be unlocked to use this API. 

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**RecoveryCodes**](RecoveryCodes.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GenerateU2FChallenge**
> MfaChallenge GenerateU2FChallenge(ctx, )
Generate a new challenge for registering a U2F devices

Generate a new challenge that may be used to register U2F devices. The caller needs to provide a bearer token for the session in the request body. 

### Required Parameters
This endpoint does not need any parameter.

### Return type

[**MfaChallenge**](MfaChallenge.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **Lock2F**
> Lock2F(ctx, )
Lock two factor configuration

Lock two factor configuration after completing two factor reconfiguration. The caller needs to provide a bearer token for the session in the request body. If this API is not called, two factor configuration will be locked automatically after ten minutes. 

### Required Parameters
This endpoint does not need any parameter.

### Return type

 (empty response body)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

