# Go API client for sdkms

This is a set of REST APIs for accessing the Fortanix Self-Defending Key Management System. This includes APIs for managing accounts, and for performing cryptographic and key management operations. 

## Overview
This API client was generated by the [swagger-codegen](https://github.com/swagger-api/swagger-codegen) project.  By using the [swagger-spec](https://github.com/swagger-api/swagger-spec) from a remote server, you can easily generate an API client.

- API version: 1.0.0-20200319
- Package version: 3.16.1311
- Build package: io.swagger.codegen.FortanixGoClientGenerator
For more information, please visit [https://support.fortanix.com/sdkms](https://support.fortanix.com/sdkms)

## Installation
Put the package under your project folder and add the following in import:
```
    "./sdkms"
```

## Documentation for API Endpoints

All URIs are relative to *https://apps.smartkey.io*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AccountsApi* | [**CreateAccount**](docs/AccountsApi.md#createaccount) | **Post** /sys/v1/accounts | Create a new account
*AccountsApi* | [**DeleteAccount**](docs/AccountsApi.md#deleteaccount) | **Delete** /sys/v1/accounts/{account-id} | Delete account
*AccountsApi* | [**GetAccount**](docs/AccountsApi.md#getaccount) | **Get** /sys/v1/accounts/{account-id} | Get a specific account
*AccountsApi* | [**GetAccounts**](docs/AccountsApi.md#getaccounts) | **Get** /sys/v1/accounts | Get all accounts
*AccountsApi* | [**UpdateAccount**](docs/AccountsApi.md#updateaccount) | **Patch** /sys/v1/accounts/{account-id} | Update account
*ApprovalRequestsApi* | [**Approve**](docs/ApprovalRequestsApi.md#approve) | **Post** /sys/v1/approval_requests/{request-id}/approve | Approve a request.
*ApprovalRequestsApi* | [**CreateApprovalRequest**](docs/ApprovalRequestsApi.md#createapprovalrequest) | **Post** /sys/v1/approval_requests | Create approval request
*ApprovalRequestsApi* | [**DeleteApprovalRequest**](docs/ApprovalRequestsApi.md#deleteapprovalrequest) | **Delete** /sys/v1/approval_requests/{request-id} | Delete an approval request.
*ApprovalRequestsApi* | [**Deny**](docs/ApprovalRequestsApi.md#deny) | **Post** /sys/v1/approval_requests/{request-id}/deny | Deny a request.
*ApprovalRequestsApi* | [**GetApprovalRequest**](docs/ApprovalRequestsApi.md#getapprovalrequest) | **Get** /sys/v1/approval_requests/{request-id} | Get an approval request.
*ApprovalRequestsApi* | [**GetApprovalRequests**](docs/ApprovalRequestsApi.md#getapprovalrequests) | **Get** /sys/v1/approval_requests | Get all approval requests
*ApprovalRequestsApi* | [**GetResult**](docs/ApprovalRequestsApi.md#getresult) | **Post** /sys/v1/approval_requests/{request-id}/result | Get the result for an approved or failed request.
*AppsApi* | [**CreateApp**](docs/AppsApi.md#createapp) | **Post** /sys/v1/apps | Create a new application
*AppsApi* | [**DeleteApp**](docs/AppsApi.md#deleteapp) | **Delete** /sys/v1/apps/{app-id} | Delete application
*AppsApi* | [**GetApp**](docs/AppsApi.md#getapp) | **Get** /sys/v1/apps/{app-id} | Get a specific application
*AppsApi* | [**GetApps**](docs/AppsApi.md#getapps) | **Get** /sys/v1/apps | Get all applications
*AppsApi* | [**GetCredential**](docs/AppsApi.md#getcredential) | **Get** /sys/v1/apps/{app-id}/credential | Get a specific application&#39;s credential
*AppsApi* | [**RegenerateApiKey**](docs/AppsApi.md#regenerateapikey) | **Post** /sys/v1/apps/{app-id}/reset_secret | Regenerate API key
*AppsApi* | [**UpdateApp**](docs/AppsApi.md#updateapp) | **Patch** /sys/v1/apps/{app-id} | Update an application
*AuthenticationApi* | [**Authorize**](docs/AuthenticationApi.md#authorize) | **Post** /sys/v1/session/auth | Create a session for a user or an app
*AuthenticationApi* | [**CheckHealth**](docs/AuthenticationApi.md#checkhealth) | **Get** /sys/v1/health | Check whether the server is handling requests
*AuthenticationApi* | [**GetServerVersion**](docs/AuthenticationApi.md#getserverversion) | **Get** /sys/v1/version | Get SDKMS version information
*AuthenticationApi* | [**SelectAccount**](docs/AuthenticationApi.md#selectaccount) | **Post** /sys/v1/session/select_account | Select a user&#39;s account to work on
*AuthenticationApi* | [**Terminate**](docs/AuthenticationApi.md#terminate) | **Post** /sys/v1/session/terminate | Terminate a session
*AuthenticationApi* | [**Unlock2F**](docs/AuthenticationApi.md#unlock2f) | **Post** /sys/v1/session/config_2fa/auth | Unlock two factor configuration
*ChildAccountUsersApi* | [**CreateChildAccountUser**](docs/ChildAccountUsersApi.md#createchildaccountuser) | **Post** /sys/v1/users/child_account | Create a new user user in a child account
*ChildAccountUsersApi* | [**DeleteChildAccountUser**](docs/ChildAccountUsersApi.md#deletechildaccountuser) | **Delete** /sys/v1/users/child_account/{user-id} | Completely delete a user in child account
*ChildAccountUsersApi* | [**GetAllChildAccountUsers**](docs/ChildAccountUsersApi.md#getallchildaccountusers) | **Get** /sys/v1/users/child_account/{user-id}/all | Get all users in a child account
*ChildAccountUsersApi* | [**GetChildAccountUser**](docs/ChildAccountUsersApi.md#getchildaccountuser) | **Get** /sys/v1/users/child_account/{user-id} | Get a specific child account user
*ChildAccountUsersApi* | [**UpdateChildAccountUser**](docs/ChildAccountUsersApi.md#updatechildaccountuser) | **Patch** /sys/v1/users/child_account/{user-id} | Update a child account user
*ChildAccountsApi* | [**CreateChildAccount**](docs/ChildAccountsApi.md#createchildaccount) | **Post** /sys/v1/accounts/child | Create a new child account
*ChildAccountsApi* | [**GetChildAccounts**](docs/ChildAccountsApi.md#getchildaccounts) | **Get** /sys/v1/accounts/{account-id}/child | Get all child accounts of the given account
*DigestApi* | [**ComputeDigest**](docs/DigestApi.md#computedigest) | **Post** /crypto/v1/digest | Compute a message digest of data
*DigestApi* | [**ComputeMac**](docs/DigestApi.md#computemac) | **Post** /crypto/v1/keys/{key-id}/mac | Compute MAC using a key
*DigestApi* | [**ComputeMacEx**](docs/DigestApi.md#computemacex) | **Post** /crypto/v1/mac | Compute MAC using a key
*DigestApi* | [**VerifyMac**](docs/DigestApi.md#verifymac) | **Post** /crypto/v1/keys/{key-id}/macverify | Verify MAC using a key
*DigestApi* | [**VerifyMacEx**](docs/DigestApi.md#verifymacex) | **Post** /crypto/v1/macverify | Verify MAC using a key
*EncryptionAndDecryptionApi* | [**BatchDecrypt**](docs/EncryptionAndDecryptionApi.md#batchdecrypt) | **Post** /crypto/v1/keys/batch/decrypt | Batch decrypt with one or more keys
*EncryptionAndDecryptionApi* | [**BatchEncrypt**](docs/EncryptionAndDecryptionApi.md#batchencrypt) | **Post** /crypto/v1/keys/batch/encrypt | Batch encrypt with one or more keys
*EncryptionAndDecryptionApi* | [**Decrypt**](docs/EncryptionAndDecryptionApi.md#decrypt) | **Post** /crypto/v1/keys/{key-id}/decrypt | Decrypt data
*EncryptionAndDecryptionApi* | [**DecryptEx**](docs/EncryptionAndDecryptionApi.md#decryptex) | **Post** /crypto/v1/decrypt | Decrypt data
*EncryptionAndDecryptionApi* | [**DecryptFinal**](docs/EncryptionAndDecryptionApi.md#decryptfinal) | **Post** /crypto/v1/keys/{key-id}/decrypt/final | Conclude multi-part decryption
*EncryptionAndDecryptionApi* | [**DecryptFinalEx**](docs/EncryptionAndDecryptionApi.md#decryptfinalex) | **Post** /crypto/v1/decrypt/final | Conclude multi-part decryption
*EncryptionAndDecryptionApi* | [**DecryptInit**](docs/EncryptionAndDecryptionApi.md#decryptinit) | **Post** /crypto/v1/keys/{key-id}/decrypt/init | Begin multi-part decryption
*EncryptionAndDecryptionApi* | [**DecryptInitEx**](docs/EncryptionAndDecryptionApi.md#decryptinitex) | **Post** /crypto/v1/decrypt/init | Begin multi-part decryption
*EncryptionAndDecryptionApi* | [**DecryptUpdate**](docs/EncryptionAndDecryptionApi.md#decryptupdate) | **Post** /crypto/v1/keys/{key-id}/decrypt/update | Continue multi-part decryption
*EncryptionAndDecryptionApi* | [**DecryptUpdateEx**](docs/EncryptionAndDecryptionApi.md#decryptupdateex) | **Post** /crypto/v1/decrypt/update | Continue multi-part decryption
*EncryptionAndDecryptionApi* | [**Encrypt**](docs/EncryptionAndDecryptionApi.md#encrypt) | **Post** /crypto/v1/keys/{key-id}/encrypt | Encrypt data
*EncryptionAndDecryptionApi* | [**EncryptEx**](docs/EncryptionAndDecryptionApi.md#encryptex) | **Post** /crypto/v1/encrypt | Encrypt data
*EncryptionAndDecryptionApi* | [**EncryptFinal**](docs/EncryptionAndDecryptionApi.md#encryptfinal) | **Post** /crypto/v1/keys/{key-id}/encrypt/final | Conclude multi-part encryption
*EncryptionAndDecryptionApi* | [**EncryptFinalEx**](docs/EncryptionAndDecryptionApi.md#encryptfinalex) | **Post** /crypto/v1/encrypt/final | Conclude multi-part encryption
*EncryptionAndDecryptionApi* | [**EncryptInit**](docs/EncryptionAndDecryptionApi.md#encryptinit) | **Post** /crypto/v1/keys/{key-id}/encrypt/init | Begin multi-part encryption
*EncryptionAndDecryptionApi* | [**EncryptInitEx**](docs/EncryptionAndDecryptionApi.md#encryptinitex) | **Post** /crypto/v1/encrypt/init | Begin multi-part encryption
*EncryptionAndDecryptionApi* | [**EncryptUpdate**](docs/EncryptionAndDecryptionApi.md#encryptupdate) | **Post** /crypto/v1/keys/{key-id}/encrypt/update | Continue multi-part encryption
*EncryptionAndDecryptionApi* | [**EncryptUpdateEx**](docs/EncryptionAndDecryptionApi.md#encryptupdateex) | **Post** /crypto/v1/encrypt/update | Continue multi-part encryption
*GroupsApi* | [**CreateGroup**](docs/GroupsApi.md#creategroup) | **Post** /sys/v1/groups | Create new group
*GroupsApi* | [**DeleteGroup**](docs/GroupsApi.md#deletegroup) | **Delete** /sys/v1/groups/{group-id} | Delete group
*GroupsApi* | [**GetGroup**](docs/GroupsApi.md#getgroup) | **Get** /sys/v1/groups/{group-id} | Get a specific group
*GroupsApi* | [**GetGroups**](docs/GroupsApi.md#getgroups) | **Get** /sys/v1/groups | Get all groups
*GroupsApi* | [**UpdateGroup**](docs/GroupsApi.md#updategroup) | **Patch** /sys/v1/groups/{group-id} | Update group
*LogsApi* | [**GetAuditLogs**](docs/LogsApi.md#getauditlogs) | **Get** /sys/v1/logs | Get audit logs
*PluginsApi* | [**CreatePlugin**](docs/PluginsApi.md#createplugin) | **Post** /sys/v1/plugins | Create a new plugin
*PluginsApi* | [**DeletePlugin**](docs/PluginsApi.md#deleteplugin) | **Delete** /sys/v1/plugins/{plugin-id} | Delete plugin
*PluginsApi* | [**GetPlugin**](docs/PluginsApi.md#getplugin) | **Get** /sys/v1/plugins/{plugin-id} | Get a specific plugin
*PluginsApi* | [**GetPlugins**](docs/PluginsApi.md#getplugins) | **Get** /sys/v1/plugins | Get all plugins
*PluginsApi* | [**InvokePlugin**](docs/PluginsApi.md#invokeplugin) | **Post** /sys/v1/plugins/{plugin-id} | Invoke a plugin
*PluginsApi* | [**SysV1PluginsInvokePluginIdGet**](docs/PluginsApi.md#sysv1pluginsinvokepluginidget) | **Get** /sys/v1/plugins/invoke/{plugin-id} | Invoke a plugin using GET.
*PluginsApi* | [**UpdatePlugin**](docs/PluginsApi.md#updateplugin) | **Patch** /sys/v1/plugins/{plugin-id} | Update a plugin
*SecurityObjectsApi* | [**ActivateSecurityObject**](docs/SecurityObjectsApi.md#activatesecurityobject) | **Post** /crypto/v1/keys/{key-id}/activate | Transitions immediately a security object to Active state
*SecurityObjectsApi* | [**AgreeKey**](docs/SecurityObjectsApi.md#agreekey) | **Post** /crypto/v1/agree | Agree on a key from two other keys
*SecurityObjectsApi* | [**DeletePrivateKey**](docs/SecurityObjectsApi.md#deleteprivatekey) | **Delete** /crypto/v1/keys/{key-id}/private | Remove / Destroy private half of the asymmetric key
*SecurityObjectsApi* | [**DeleteSecurityObject**](docs/SecurityObjectsApi.md#deletesecurityobject) | **Delete** /crypto/v1/keys/{key-id} | Delete a security object
*SecurityObjectsApi* | [**DeriveKey**](docs/SecurityObjectsApi.md#derivekey) | **Post** /crypto/v1/keys/{key-id}/derive | Derive a key from another key
*SecurityObjectsApi* | [**DeriveKeyEx**](docs/SecurityObjectsApi.md#derivekeyex) | **Post** /crypto/v1/derive | Derive a key from another key
*SecurityObjectsApi* | [**GenerateSecurityObject**](docs/SecurityObjectsApi.md#generatesecurityobject) | **Post** /crypto/v1/keys | Generate a new security object
*SecurityObjectsApi* | [**GetSecurityObject**](docs/SecurityObjectsApi.md#getsecurityobject) | **Get** /crypto/v1/keys/{key-id} | Get a specific security object
*SecurityObjectsApi* | [**GetSecurityObjectDigest**](docs/SecurityObjectsApi.md#getsecurityobjectdigest) | **Post** /crypto/v1/keys/digest | Retrieve the digest (hash) of the value of an exportable security object
*SecurityObjectsApi* | [**GetSecurityObjectValue**](docs/SecurityObjectsApi.md#getsecurityobjectvalue) | **Get** /crypto/v1/keys/{key-id}/export | Retrieve the value of an exportable security object
*SecurityObjectsApi* | [**GetSecurityObjectValueEx**](docs/SecurityObjectsApi.md#getsecurityobjectvalueex) | **Post** /crypto/v1/keys/export | Retrieve the value of an exportable security object
*SecurityObjectsApi* | [**GetSecurityObjects**](docs/SecurityObjectsApi.md#getsecurityobjects) | **Get** /crypto/v1/keys | Get all security objects
*SecurityObjectsApi* | [**ImportSecurityObject**](docs/SecurityObjectsApi.md#importsecurityobject) | **Put** /crypto/v1/keys | Import a security object
*SecurityObjectsApi* | [**PersistSecurityObject**](docs/SecurityObjectsApi.md#persistsecurityobject) | **Post** /crypto/v1/keys/persist | Persist a transient key.
*SecurityObjectsApi* | [**RevokeSecurityObject**](docs/SecurityObjectsApi.md#revokesecurityobject) | **Post** /crypto/v1/keys/{key-id}/revoke | Transitions immediately a security object to Deactivated or Compromised state
*SecurityObjectsApi* | [**RotateSecurityObject**](docs/SecurityObjectsApi.md#rotatesecurityobject) | **Post** /crypto/v1/keys/rekey | Rotate a key.
*SecurityObjectsApi* | [**UpdateSecurityObject**](docs/SecurityObjectsApi.md#updatesecurityobject) | **Patch** /crypto/v1/keys/{key-id} | Update a security object
*SignAndVerifyApi* | [**BatchSign**](docs/SignAndVerifyApi.md#batchsign) | **Post** /crypto/v1/keys/batch/sign | Batch sign with one or more private keys
*SignAndVerifyApi* | [**BatchVerify**](docs/SignAndVerifyApi.md#batchverify) | **Post** /crypto/v1/keys/batch/verify | Batch verify with one or more private keys
*SignAndVerifyApi* | [**Sign**](docs/SignAndVerifyApi.md#sign) | **Post** /crypto/v1/keys/{key-id}/sign | Sign with a private key
*SignAndVerifyApi* | [**SignEx**](docs/SignAndVerifyApi.md#signex) | **Post** /crypto/v1/sign | Sign with a private key
*SignAndVerifyApi* | [**Verify**](docs/SignAndVerifyApi.md#verify) | **Post** /crypto/v1/keys/{key-id}/verify | Verify a signature with a key
*SignAndVerifyApi* | [**VerifyEx**](docs/SignAndVerifyApi.md#verifyex) | **Post** /crypto/v1/verify | Verify a signature with a key
*TwoFactorAuthenticationApi* | [**AuthorizeRecoveryCode**](docs/TwoFactorAuthenticationApi.md#authorizerecoverycode) | **Post** /sys/v1/session/auth/2fa/recovery_code | Use a backup recovery code to complete authentication
*TwoFactorAuthenticationApi* | [**AuthorizeU2F**](docs/TwoFactorAuthenticationApi.md#authorizeu2f) | **Post** /sys/v1/session/auth/2fa/u2f | Use a U2F key to complete authentication
*TwoFactorAuthenticationApi* | [**GenerateRecoveryCodes**](docs/TwoFactorAuthenticationApi.md#generaterecoverycodes) | **Post** /sys/v1/users/generate_recovery_code | Generate backup recovery codes for the current user
*TwoFactorAuthenticationApi* | [**GenerateU2FChallenge**](docs/TwoFactorAuthenticationApi.md#generateu2fchallenge) | **Post** /sys/v1/session/config_2fa/new_challenge | Generate a new challenge for registering a U2F devices
*TwoFactorAuthenticationApi* | [**Lock2F**](docs/TwoFactorAuthenticationApi.md#lock2f) | **Post** /sys/v1/session/config_2fa/terminate | Lock two factor configuration
*UsersApi* | [**ChangePassword**](docs/UsersApi.md#changepassword) | **Post** /sys/v1/users/change_password | Change user password
*UsersApi* | [**ConfirmEmail**](docs/UsersApi.md#confirmemail) | **Post** /sys/v1/users/{user-id}/confirm_email | Confirms user&#39;s email address
*UsersApi* | [**CreateUser**](docs/UsersApi.md#createuser) | **Post** /sys/v1/users | Create a new user
*UsersApi* | [**DeleteUser**](docs/UsersApi.md#deleteuser) | **Delete** /sys/v1/users/{user-id}/accounts | Removed user&#39;s association with an account
*UsersApi* | [**DeleteUserAccount**](docs/UsersApi.md#deleteuseraccount) | **Delete** /sys/v1/users | Completely delete a user profile from system
*UsersApi* | [**ForgotPassword**](docs/UsersApi.md#forgotpassword) | **Post** /sys/v1/users/forgot_password | Initiate password reset sequence for a user
*UsersApi* | [**GetUser**](docs/UsersApi.md#getuser) | **Get** /sys/v1/users/{user-id} | Get a specific user
*UsersApi* | [**GetUserAccount**](docs/UsersApi.md#getuseraccount) | **Get** /sys/v1/users/accounts | Get account information for the user
*UsersApi* | [**GetUsers**](docs/UsersApi.md#getusers) | **Get** /sys/v1/users | Get all users
*UsersApi* | [**InviteUser**](docs/UsersApi.md#inviteuser) | **Post** /sys/v1/users/invite | Invite a user
*UsersApi* | [**ProcessInvitations**](docs/UsersApi.md#processinvitations) | **Post** /sys/v1/users/process_invite | Process a user&#39;s pending account invitations
*UsersApi* | [**ResendConfirmEmail**](docs/UsersApi.md#resendconfirmemail) | **Post** /sys/v1/users/{user-id}/resend_confirm_email | Resend email with link to confirm user&#39;s email address
*UsersApi* | [**ResendInvitation**](docs/UsersApi.md#resendinvitation) | **Post** /sys/v1/users/{user-id}/resend_invite | Resend invite to the user to join a specific account
*UsersApi* | [**ResetPassword**](docs/UsersApi.md#resetpassword) | **Post** /sys/v1/users/{user-id}/reset_password | Reset a user&#39;s password
*UsersApi* | [**UpdateUser**](docs/UsersApi.md#updateuser) | **Patch** /sys/v1/users/{user-id} | Update user
*UsersApi* | [**ValidatePasswordResetToken**](docs/UsersApi.md#validatepasswordresettoken) | **Post** /sys/v1/users/{user-id}/validate_token | Validates password reset token for the user
*WrappingAndUnwrappingApi* | [**UnwrapKey**](docs/WrappingAndUnwrappingApi.md#unwrapkey) | **Post** /crypto/v1/keys/{key-id}/unwrapkey | Unwrap a security object with a key
*WrappingAndUnwrappingApi* | [**UnwrapKeyEx**](docs/WrappingAndUnwrappingApi.md#unwrapkeyex) | **Post** /crypto/v1/unwrapkey | Unwrap a security object with a key
*WrappingAndUnwrappingApi* | [**WrapKey**](docs/WrappingAndUnwrappingApi.md#wrapkey) | **Post** /crypto/v1/keys/{key-id}/wrapkey | Wrap a security object with a key 
*WrappingAndUnwrappingApi* | [**WrapKeyEx**](docs/WrappingAndUnwrappingApi.md#wrapkeyex) | **Post** /crypto/v1/wrapkey | Wrap a security object with a key 


## Documentation For Models

 - [Account](docs/Account.md)
 - [AccountRequest](docs/AccountRequest.md)
 - [AccountState](docs/AccountState.md)
 - [AdDecryptInput](docs/AdDecryptInput.md)
 - [AdEncryptInput](docs/AdEncryptInput.md)
 - [AgreeKeyMechanism](docs/AgreeKeyMechanism.md)
 - [AgreeKeyRequest](docs/AgreeKeyRequest.md)
 - [App](docs/App.md)
 - [AppAuthType](docs/AppAuthType.md)
 - [AppCredential](docs/AppCredential.md)
 - [AppCredentialResponse](docs/AppCredentialResponse.md)
 - [AppCredentialSignedjwt](docs/AppCredentialSignedjwt.md)
 - [AppCredentialSignedjwtSigningKeys](docs/AppCredentialSignedjwtSigningKeys.md)
 - [AppCredentialTrustedca](docs/AppCredentialTrustedca.md)
 - [AppOauthConfig](docs/AppOauthConfig.md)
 - [AppPermissions](docs/AppPermissions.md)
 - [AppRequest](docs/AppRequest.md)
 - [AppResetSecretRequest](docs/AppResetSecretRequest.md)
 - [ApprovableResult](docs/ApprovableResult.md)
 - [ApprovalRequest](docs/ApprovalRequest.md)
 - [ApprovalRequestRequest](docs/ApprovalRequestRequest.md)
 - [ApprovalStatus](docs/ApprovalStatus.md)
 - [ApprovalSubject](docs/ApprovalSubject.md)
 - [AuditLogResponse](docs/AuditLogResponse.md)
 - [AuthConfig](docs/AuthConfig.md)
 - [AuthConfigPassword](docs/AuthConfigPassword.md)
 - [AuthConfigSignedJwt](docs/AuthConfigSignedJwt.md)
 - [AuthResponse](docs/AuthResponse.md)
 - [AuthType](docs/AuthType.md)
 - [BatchDecryptRequest](docs/BatchDecryptRequest.md)
 - [BatchDecryptRequestInner](docs/BatchDecryptRequestInner.md)
 - [BatchDecryptResponse](docs/BatchDecryptResponse.md)
 - [BatchDecryptResponseInner](docs/BatchDecryptResponseInner.md)
 - [BatchEncryptRequest](docs/BatchEncryptRequest.md)
 - [BatchEncryptRequestInner](docs/BatchEncryptRequestInner.md)
 - [BatchEncryptResponse](docs/BatchEncryptResponse.md)
 - [BatchEncryptResponseInner](docs/BatchEncryptResponseInner.md)
 - [BatchSignRequest](docs/BatchSignRequest.md)
 - [BatchSignResponse](docs/BatchSignResponse.md)
 - [BatchSignResponseInner](docs/BatchSignResponseInner.md)
 - [BatchVerifyRequest](docs/BatchVerifyRequest.md)
 - [BatchVerifyResponse](docs/BatchVerifyResponse.md)
 - [BatchVerifyResponseInner](docs/BatchVerifyResponseInner.md)
 - [CaConfig](docs/CaConfig.md)
 - [ChildAccountUser](docs/ChildAccountUser.md)
 - [ChildAccountUserRequest](docs/ChildAccountUserRequest.md)
 - [CipherMode](docs/CipherMode.md)
 - [ConfirmEmailRequest](docs/ConfirmEmailRequest.md)
 - [ConfirmEmailResponse](docs/ConfirmEmailResponse.md)
 - [CreatorType](docs/CreatorType.md)
 - [CryptMode](docs/CryptMode.md)
 - [DecryptFinalRequest](docs/DecryptFinalRequest.md)
 - [DecryptFinalRequestEx](docs/DecryptFinalRequestEx.md)
 - [DecryptFinalResponse](docs/DecryptFinalResponse.md)
 - [DecryptInitRequest](docs/DecryptInitRequest.md)
 - [DecryptInitRequestEx](docs/DecryptInitRequestEx.md)
 - [DecryptInitResponse](docs/DecryptInitResponse.md)
 - [DecryptRequest](docs/DecryptRequest.md)
 - [DecryptRequestEx](docs/DecryptRequestEx.md)
 - [DecryptResponse](docs/DecryptResponse.md)
 - [DecryptUpdateRequest](docs/DecryptUpdateRequest.md)
 - [DecryptUpdateRequestEx](docs/DecryptUpdateRequestEx.md)
 - [DecryptUpdateResponse](docs/DecryptUpdateResponse.md)
 - [DeriveKeyMechanism](docs/DeriveKeyMechanism.md)
 - [DeriveKeyRequest](docs/DeriveKeyRequest.md)
 - [DeriveKeyRequestEx](docs/DeriveKeyRequestEx.md)
 - [DigestAlgorithm](docs/DigestAlgorithm.md)
 - [DigestRequest](docs/DigestRequest.md)
 - [DigestResponse](docs/DigestResponse.md)
 - [EllipticCurve](docs/EllipticCurve.md)
 - [EncryptFinalRequest](docs/EncryptFinalRequest.md)
 - [EncryptFinalRequestEx](docs/EncryptFinalRequestEx.md)
 - [EncryptFinalResponse](docs/EncryptFinalResponse.md)
 - [EncryptInitRequest](docs/EncryptInitRequest.md)
 - [EncryptInitRequestEx](docs/EncryptInitRequestEx.md)
 - [EncryptInitResponse](docs/EncryptInitResponse.md)
 - [EncryptRequest](docs/EncryptRequest.md)
 - [EncryptRequestEx](docs/EncryptRequestEx.md)
 - [EncryptResponse](docs/EncryptResponse.md)
 - [EncryptUpdateRequest](docs/EncryptUpdateRequest.md)
 - [EncryptUpdateRequestEx](docs/EncryptUpdateRequestEx.md)
 - [EncryptUpdateResponse](docs/EncryptUpdateResponse.md)
 - [Entity](docs/Entity.md)
 - [ForgotPasswordRequest](docs/ForgotPasswordRequest.md)
 - [FpeOptions](docs/FpeOptions.md)
 - [GoogleServiceAccountKey](docs/GoogleServiceAccountKey.md)
 - [Group](docs/Group.md)
 - [GroupRequest](docs/GroupRequest.md)
 - [IvDecryptInput](docs/IvDecryptInput.md)
 - [IvEncryptInput](docs/IvEncryptInput.md)
 - [IvEncryptOutput](docs/IvEncryptOutput.md)
 - [JwtSigningKeyType](docs/JwtSigningKeyType.md)
 - [KeyObject](docs/KeyObject.md)
 - [KeyOperations](docs/KeyOperations.md)
 - [Language](docs/Language.md)
 - [LoggingConfig](docs/LoggingConfig.md)
 - [LoggingConfigRequest](docs/LoggingConfigRequest.md)
 - [MacGenerateRequest](docs/MacGenerateRequest.md)
 - [MacGenerateRequestEx](docs/MacGenerateRequestEx.md)
 - [MacGenerateResponse](docs/MacGenerateResponse.md)
 - [MacVerifyRequest](docs/MacVerifyRequest.md)
 - [MacVerifyRequestEx](docs/MacVerifyRequestEx.md)
 - [MacVerifyResponse](docs/MacVerifyResponse.md)
 - [MfaChallenge](docs/MfaChallenge.md)
 - [Mgf](docs/Mgf.md)
 - [MgfMgf1](docs/MgfMgf1.md)
 - [ModelError](docs/ModelError.md)
 - [NotificationPref](docs/NotificationPref.md)
 - [ObjectDigestRequest](docs/ObjectDigestRequest.md)
 - [ObjectOrigin](docs/ObjectOrigin.md)
 - [ObjectType](docs/ObjectType.md)
 - [PasswordChangeRequest](docs/PasswordChangeRequest.md)
 - [PasswordResetRequest](docs/PasswordResetRequest.md)
 - [PersistTransientKeyRequest](docs/PersistTransientKeyRequest.md)
 - [Plugin](docs/Plugin.md)
 - [PluginInvokeRequest](docs/PluginInvokeRequest.md)
 - [PluginInvokeResponse](docs/PluginInvokeResponse.md)
 - [PluginRequest](docs/PluginRequest.md)
 - [PluginSource](docs/PluginSource.md)
 - [PluginType](docs/PluginType.md)
 - [ProcessInviteRequest](docs/ProcessInviteRequest.md)
 - [RecoveryCodes](docs/RecoveryCodes.md)
 - [RevocationReason](docs/RevocationReason.md)
 - [RevocationReasonCode](docs/RevocationReasonCode.md)
 - [RsaEncryptionPadding](docs/RsaEncryptionPadding.md)
 - [RsaEncryptionPaddingOaep](docs/RsaEncryptionPaddingOaep.md)
 - [RsaEncryptionPolicy](docs/RsaEncryptionPolicy.md)
 - [RsaEncryptionPolicyPadding](docs/RsaEncryptionPolicyPadding.md)
 - [RsaEncryptionPolicyPaddingOaep](docs/RsaEncryptionPolicyPaddingOaep.md)
 - [RsaEncryptionPolicyPaddingOaepMgf1](docs/RsaEncryptionPolicyPaddingOaepMgf1.md)
 - [RsaOptions](docs/RsaOptions.md)
 - [RsaSignaturePadding](docs/RsaSignaturePadding.md)
 - [RsaSignaturePaddingPss](docs/RsaSignaturePaddingPss.md)
 - [RsaSignaturePolicy](docs/RsaSignaturePolicy.md)
 - [RsaSignaturePolicyPadding](docs/RsaSignaturePolicyPadding.md)
 - [SelectAccountRequest](docs/SelectAccountRequest.md)
 - [SelectAccountResponse](docs/SelectAccountResponse.md)
 - [ServerMode](docs/ServerMode.md)
 - [SignRequest](docs/SignRequest.md)
 - [SignRequestEx](docs/SignRequestEx.md)
 - [SignResponse](docs/SignResponse.md)
 - [SignatureMode](docs/SignatureMode.md)
 - [SignupRequest](docs/SignupRequest.md)
 - [SobjectDescriptor](docs/SobjectDescriptor.md)
 - [SobjectRequest](docs/SobjectRequest.md)
 - [SplunkLoggingConfig](docs/SplunkLoggingConfig.md)
 - [SplunkLoggingConfigRequest](docs/SplunkLoggingConfigRequest.md)
 - [StackdriverLoggingConfig](docs/StackdriverLoggingConfig.md)
 - [StackdriverLoggingConfigRequest](docs/StackdriverLoggingConfigRequest.md)
 - [SubscriptionChangeRequest](docs/SubscriptionChangeRequest.md)
 - [SubscriptionType](docs/SubscriptionType.md)
 - [TagDecryptInput](docs/TagDecryptInput.md)
 - [TagEncryptOutput](docs/TagEncryptOutput.md)
 - [TagLenEncryptInput](docs/TagLenEncryptInput.md)
 - [TlsConfig](docs/TlsConfig.md)
 - [TlsMode](docs/TlsMode.md)
 - [U2fAddDeviceRequest](docs/U2fAddDeviceRequest.md)
 - [U2fDelDeviceRequest](docs/U2fDelDeviceRequest.md)
 - [U2fDevice](docs/U2fDevice.md)
 - [U2fKey](docs/U2fKey.md)
 - [U2fRenameDeviceRequest](docs/U2fRenameDeviceRequest.md)
 - [UnwrapKeyRequest](docs/UnwrapKeyRequest.md)
 - [UnwrapKeyRequestEx](docs/UnwrapKeyRequestEx.md)
 - [User](docs/User.md)
 - [UserAccountFlags](docs/UserAccountFlags.md)
 - [UserAccountMap](docs/UserAccountMap.md)
 - [UserGroupFlags](docs/UserGroupFlags.md)
 - [UserGroupMap](docs/UserGroupMap.md)
 - [UserRequest](docs/UserRequest.md)
 - [UserState](docs/UserState.md)
 - [Uuid](docs/Uuid.md)
 - [ValidateTokenRequest](docs/ValidateTokenRequest.md)
 - [ValidateTokenResponse](docs/ValidateTokenResponse.md)
 - [VerifyRequest](docs/VerifyRequest.md)
 - [VerifyRequestEx](docs/VerifyRequestEx.md)
 - [VerifyResponse](docs/VerifyResponse.md)
 - [VersionResponse](docs/VersionResponse.md)
 - [WrapKeyRequest](docs/WrapKeyRequest.md)
 - [WrapKeyRequestEx](docs/WrapKeyRequestEx.md)
 - [WrapKeyResponse](docs/WrapKeyResponse.md)


## Documentation For Authorization

## basicAuth
- **Type**: HTTP basic authentication

Example
```
	auth := context.WithValue(context.Background(), sw.ContextBasicAuth, sw.BasicAuth{
		UserName: "username",
		Password: "password",
	})
    r, err := client.Service.Operation(auth, args)
```
## bearerToken
- **Type**: API key 

Example
```
	auth := context.WithValue(context.Background(), sw.ContextAPIKey, sw.APIKey{
		Key: "APIKEY",
		Prefix: "Bearer", // Omit if not necessary.
	})
    r, err := client.Service.Operation(auth, args)
```

## Author

support@fortanix.com

