/*
 * Fortanix SDKMS REST API
 *
 * This is a set of REST APIs for accessing the Fortanix Self-Defending Key Management System. This includes APIs for managing accounts, and for performing cryptographic and key management operations. 
 *
 * API version: 1.0.0-20200319
 * Contact: support@fortanix.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package sdkms



type Account struct {
	// Name of the account. Account names must be unique within an SDKMS instance.
	Name string `json:"name"`

	// Account ID uniquely identifying this account.
	AcctId string `json:"acct_id"`

	// Description of this account.
	Description string `json:"description,omitempty"`

	// Organization (e.g. company name) that owns this account
	Organization string `json:"organization,omitempty"`

	// Main country associated with this account
	Country string `json:"country,omitempty"`

	// Contact phone number associated with this account
	Phone string `json:"phone,omitempty"`

	NotificationPref *NotificationPref `json:"notification_pref,omitempty"`

	AuthConfig *AuthConfig `json:"auth_config,omitempty"`

	Subscription *SubscriptionType `json:"subscription"`

	State *AccountState `json:"state"`

	AuthType *AuthType `json:"auth_type"`

	// Map from UUIDs to LoggingConfig objects
	LoggingConfigs map[string]LoggingConfig `json:"logging_configs,omitempty"`

	// Whether this account is enabled. This may only be changed by sysadmins.
	Enabled bool `json:"enabled,omitempty"`

	// When this account was created.
	CreatedAt string `json:"created_at,omitempty"`

	// When this accout was upgraded a paid subscription.
	InitialPurchaseAt string `json:"initial_purchase_at,omitempty"`

	PendingSubscriptionChangeRequest *SubscriptionChangeRequest `json:"pending_subscription_change_request,omitempty"`

	// Sysadmin-defined metadata for this account. Stored as key-value pairs. This field is only visible to sysadmin users. 
	CustomMetadata map[string]string `json:"custom_metadata,omitempty"`
}


