/*
 * Fortanix SDKMS REST API
 *
 * This is a set of REST APIs for accessing the Fortanix Self-Defending Key Management System. This includes APIs for managing accounts, and for performing cryptographic and key management operations. 
 *
 * API version: 1.0.0-20200319
 * Contact: support@fortanix.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package sdkms


// Details of signning key that will be used for signature verification.
type AppCredentialSignedjwtSigningKeys struct {
	// Type of signing key, fetched or stored
	Kind *JwtSigningKeyType `json:"kind"`

	// In case of \"stored\" kind, a map of key ids (arbitrary strings) to base64-encoded DER keys
	Keys map[string]string `json:"keys,omitempty"`

	// In case of \"fetched\" kind, URL for fetching public key for verification of JWT signature
	Url string `json:"url,omitempty"`

	// In case of \"fetched\" kind, duration for which the public key can be cached
	CacheDuration int32 `json:"cache_duration,omitempty"`
}


