/*
 * Fortanix SDKMS REST API
 *
 * This is a set of REST APIs for accessing the Fortanix Self-Defending Key Management System. This includes APIs for managing accounts, and for performing cryptographic and key management operations. 
 *
 * API version: 1.0.0-20200319
 * Contact: support@fortanix.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package sdkms

// CryptMode : `CipherMode` or `RsaEncryptionPadding`, depending on the encryption algorithm
type CryptMode string

// List of CryptMode
const (
	CryptMode_ECB CryptMode = "ECB"

	CryptMode_CBC CryptMode = "CBC"

	CryptMode_CBCNOPAD CryptMode = "CBCNOPAD"

	CryptMode_CFB CryptMode = "CFB"

	CryptMode_CTR CryptMode = "CTR"

	CryptMode_OFB CryptMode = "OFB"

	CryptMode_GCM CryptMode = "GCM"

	CryptMode_CCM CryptMode = "CCM"

	CryptMode_PKCS1_V15 CryptMode = "PKCS1_V15"

	CryptMode_OAEP_MGF1_SHA1 CryptMode = "OAEP_MGF1_SHA1"

	CryptMode_OAEP_MGF1_SHA256 CryptMode = "OAEP_MGF1_SHA256"

	CryptMode_OAEP_MGF1_SHA384 CryptMode = "OAEP_MGF1_SHA384"

	CryptMode_OAEP_MGF1_SHA512 CryptMode = "OAEP_MGF1_SHA512"

	CryptMode_FPE CryptMode = "FPE"
)

