/*
 * Fortanix SDKMS REST API
 *
 * This is a set of REST APIs for accessing the Fortanix Self-Defending Key Management System. This includes APIs for managing accounts, and for performing cryptographic and key management operations. 
 *
 * API version: 1.0.0-20200319
 * Contact: support@fortanix.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package sdkms

// DigestAlgorithm : Message digest algorithm.
type DigestAlgorithm string

// List of DigestAlgorithm
const (
	DigestAlgorithm_BLAKE2B256 DigestAlgorithm = "Blake2b256"

	DigestAlgorithm_BLAKE2B384 DigestAlgorithm = "Blake2b384"

	DigestAlgorithm_BLAKE2B512 DigestAlgorithm = "Blake2b512"

	DigestAlgorithm_BLAKE2S256 DigestAlgorithm = "Blake2s256"

	DigestAlgorithm_RIPEMD160 DigestAlgorithm = "RIPEMD160"

	DigestAlgorithm_SHA1 DigestAlgorithm = "SHA1"

	DigestAlgorithm_SHA256 DigestAlgorithm = "SHA256"

	DigestAlgorithm_SHA384 DigestAlgorithm = "SHA384"

	DigestAlgorithm_SHA512 DigestAlgorithm = "SHA512"

	DigestAlgorithm_SHA3_224 DigestAlgorithm = "SHA3_224"

	DigestAlgorithm_SHA3_256 DigestAlgorithm = "SHA3_256"

	DigestAlgorithm_SHA3_384 DigestAlgorithm = "SHA3_384"

	DigestAlgorithm_SHA3_512 DigestAlgorithm = "SHA3_512"

	DigestAlgorithm_SSL3 DigestAlgorithm = "Ssl3"

	DigestAlgorithm_STREEBOG256 DigestAlgorithm = "Streebog256"

	DigestAlgorithm_STREEBOG512 DigestAlgorithm = "Streebog512"
)

