/*
 * Fortanix SDKMS REST API
 *
 * This is a set of REST APIs for accessing the Fortanix Self-Defending Key Management System. This includes APIs for managing accounts, and for performing cryptographic and key management operations. 
 *
 * API version: 1.0.0-20200319
 * Contact: support@fortanix.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package sdkms



type Group struct {
	// Name of the group. Group names must be unique within an account.
	Name string `json:"name,omitempty"`

	// Group ID uniquely identifying this group.
	GroupId string `json:"group_id,omitempty"`

	// Description of the group.
	Description string `json:"description,omitempty"`

	// Account ID of the account this Group belongs to.
	AcctId string `json:"acct_id,omitempty"`

	Creator *CreatorType `json:"creator,omitempty"`

	// When this group was created.
	CreatedAt string `json:"created_at,omitempty"`
}


