/*
 * Fortanix SDKMS REST API
 *
 * This is a set of REST APIs for accessing the Fortanix Self-Defending Key Management System. This includes APIs for managing accounts, and for performing cryptographic and key management operations. 
 *
 * API version: 1.0.0-20200319
 * Contact: support@fortanix.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package sdkms



type PluginRequest struct {
	// Name of the plugin. Plugin names must be unique within an account.
	Name string `json:"name"`

	// Description of this plugin.
	Description string `json:"description,omitempty"`

	// An array of Security Group IDs to add to this plugin.
	AddGroups []string `json:"add_groups"`

	// An array of security group IDs to remove from this plugin.
	DelGroups []string `json:"del_groups,omitempty"`

	// The default group of this plugin. This is the group where security objects will be created by default by this plugin.
	DefaultGroup string `json:"default_group"`

	Source *PluginSource `json:"source"`

	// Whether this plugin is enabled.
	Enabled bool `json:"enabled,omitempty"`

	PluginType *PluginType `json:"plugin_type,omitempty"`
}


