/*
 * Fortanix SDKMS REST API
 *
 * This is a set of REST APIs for accessing the Fortanix Self-Defending Key Management System. This includes APIs for managing accounts, and for performing cryptographic and key management operations. 
 *
 * API version: 1.0.0-20200319
 * Contact: support@fortanix.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package sdkms


// Type of padding to use for RSA encryption. The use of PKCS#1 v1.5 padding is strongly discouraged, because of its susceptibility to Bleichenbacher's attack. The padding specified must adhere to the key's encryption policy, see `RsaEncryptionPolicy`. If not specified, the default based on the key's policy will be used. 
type RsaEncryptionPadding struct {
	// PKCS#1 v1.5 padding
	PKCS1V15 *interface{} `json:"PKCS1_V15,omitempty"`

	OAEP *RsaEncryptionPaddingOaep `json:"OAEP,omitempty"`
}


