/*
 * Fortanix SDKMS REST API
 *
 * This is a set of REST APIs for accessing the Fortanix Self-Defending Key Management System. This includes APIs for managing accounts, and for performing cryptographic and key management operations. 
 *
 * API version: 1.0.0-20200319
 * Contact: support@fortanix.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package sdkms



type User struct {
	// User ID uniquely identifying this user.
	UserId string `json:"user_id"`

	// The User's email address.
	UserEmail string `json:"user_email"`

	State *UserState `json:"state"`

	AccountRole []UserAccountFlags `json:"account_role,omitempty"`

	Groups *UserGroupMap `json:"groups"`

	// Whether this user's account is enabled.
	Enabled bool `json:"enabled"`

	// Whether this user's email has been verified.
	EmailVerified bool `json:"email_verified"`

	// When this user was added to SDKMS.
	CreatedAt string `json:"created_at"`

	// When this user last logged in.
	LastLoggedInAt string `json:"last_logged_in_at,omitempty"`

	U2fDevices []U2fDevice `json:"u2f_devices"`
}


