/*
 * Fortanix SDKMS REST API
 *
 * This is a set of REST APIs for accessing the Fortanix Self-Defending Key Management System. This includes APIs for managing accounts, and for performing cryptographic and key management operations. 
 *
 * API version: 1.0.0-20200319
 * Contact: support@fortanix.com
 * Generated by: Swagger Codegen (https://github.com/swagger-api/swagger-codegen.git)
 */

package sdkms



type VersionResponse struct {
	// The SDKMS server version. This is encoded as major.minor.build. For example, 1.0.25. 
	Version string `json:"version"`

	// The API version implemented by this server.
	ApiVersion string `json:"api_version"`

	ServerMode *ServerMode `json:"server_mode"`

	// FIPS level at which SDKMS in running. If this field is absent, then SDKMS is not running in FIPS compliant mode.
	FipsLevel int32 `json:"fips_level,omitempty"`
}


